# $Revision: 1.5 $, $Date: 2012/01/16 17:40:28 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Rose
%define	pnam	HTML-Objects
Summary:	Rose::HTML::Objects - Object-oriented interfaces for HTML.
#Summary(pl.UTF-8):	
Name:		perl-Rose-HTML-Objects
Version:	0.611
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Rose/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	37df3f44def68fcf09e59fc69d1e5886
URL:		http://search.cpan.org/dist/Rose-HTML-Objects/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Clone::PP)
BuildRequires:	perl(Rose::DateTime) >= 0.532
BuildRequires:	perl(Rose::Object) >= 0.854
BuildRequires:	perl(Rose::URI) >= 0.021
BuildRequires:	perl-DateTime >= 0.20
BuildRequires:	perl-Email-Valid
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-Image-Size
BuildRequires:	perl-IO-String >= 1.08
BuildRequires:	perl-URI
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rose::HTML::Objects is a framework for creating a reusable set of
HTML widgets as mutable Perl objects that can be serialized to HTML
or XHTML for display purposes.

# %description -l pl.UTF-8
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Rose/HTMLx/Form

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Rose/HTML
%{perl_vendorlib}/Rose/HTMLx
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Rose-HTML-Objects.spec,v $
Revision 1.5  2012/01/16 17:40:28  zbyniu
- up to 0.611

Revision 1.4  2009/10/08 07:00:32  amateja
- updated to 0.604

Revision 1.3  2009/02/20 10:53:40  radek
- release 3: vendorlib/Rose/HTMLx/Form

Revision 1.2  2009/02/20 10:51:04  radek
- release 2: vendorlib/Rose/HTMLx

Revision 1.1  2009/02/20 10:42:11  radek
- new

